language: go
go:
    - 1.5.4
    - 1.6.3
    - 1.7
install:
    - go get -v golang.org/x/tools/cmd/cover
script:
    - go test -v -tags=safe ./spew
    - go test -v -tags=testcgo ./spew -covermode=count -coverprofile=profile.cov
after_success:
    - go get -v github.com/mattn/goveralls
    - export PATH=$PATH:$HOME/gopath/bin
    - goveralls -coverprofile=profile.cov -service=travis-ci
